// status.h -- TStatusBar class declaration

#define UM_CalcParentClientRect WM_USER + 120

// Status bar class
_CLASSDEF(TStatusBar)
class TStatusBar: public TWindow {
public:
  TStatusBar(PTWindowsObject AParent);
  virtual void SetupWindow();
  virtual void GetWindowClass(WNDCLASS &AWndClass);
  virtual LPSTR GetClassName() { return "TStatusBar"; }
  void AdjustSize(WORD parentWidth, WORD parentHeight);
  void DisplayString(int resourceID);
  virtual void UMCalcParentClientRect(RTMessage)
    = [WM_FIRST + UM_CalcParentClientRect];
  virtual void WMMenuSelect(RTMessage)
    = [WM_FIRST + WM_MENUSELECT];
  virtual void Paint(HDC PaintDC, PAINTSTRUCT &);
private:
  int currentID;      // Current resource ID
  int childHeight;    // Height of status bar child window
  HMENU hmenuSystem;  // Handle to System menu
  HMENU hmenuFile;    // Handle to File menu                                        
  HMENU hmenuFont;    // Handle to Font menu
  HMENU hmenuWindow;  // Handle to Window menu
};
